<?php



//Detectar se tem algo no carro
if(!isset($_SESSION['ncart']) || !sizeof($_SESSION['ncart'])>0) { header("location:".sti('urlbase'));}
//Detectar se o cliente tá logado
if(!isset($_SESSION['ncliente'])) { header("location:".sti('urlbase'));}

//Dados do cliente
$id = filter_var($_POST['id'], FILTER_SANITIZE_NUMBER_INT);
$email = filter_var($_POST['email'], FILTER_SANITIZE_EMAIL);
$senha = filter_var($_SESSION['ncliente']['senha'], FILTER_SANITIZE_STRING);

//Dados da compra
$pagto  = filter_var($_POST['pagto'], FILTER_SANITIZE_STRING);
$troco  = filter_var($_POST['troco'], FILTER_SANITIZE_STRING);
$obs  = filter_var($_POST['obs'], FILTER_SANITIZE_STRING);
$carro = serialize($_SESSION['ncart']);
$hora = date("Y-m-d H:i:s");

//Detectar se o cliente é o mesmo que enviou o pedido
if($_POST['id']!=$_SESSION['ncliente']['id']) { header("location:".sti('urlbase'));}

//Verificar se o cliente existe mesmp
$pedido_sel_cli = mysql_query("SELECT * FROM clientes WHERE id ='$id' AND email='$email' AND senha='$senha'");

if(mysql_num_rows($pedido_sel_cli)==0){ header("location:".sti('urlbase'));}

//Enviar e-mail
$clientdata = mysql_fetch_assoc($pedido_sel_cli);

$nomecli = $clientdata['nome'];


$token_ped = md5($hora.$email);

$grava = mysql_query("INSERT INTO pedidos (id_cliente, id_endereco, obs, troco, carro , pagto, hora_pedido, status, token) VALUES
 ( '$id', '', '$obs', '$troco', '$carro' , '$pagto', '$hora', '1', '$token_ped' )");
$newid = mysql_insert_id();
$idnairro = retDados($clientdata['id_bairro'], 'cobertura');

if($grava){

	$corpo  = "<h1>Pedido n. $newid</h1>";
	$corpo .= "<p>Olá <strong>$nomecli</strong>, pedido realizado com sucesso.</p>";
  	$corpo .= "<p><strong>Hora do Pedido</strong>: $hora</p>";

  	$corpo .= "<p><strong>Telefone</strong>: ".$clientdata['telefone']."</p>";
  	$corpo .= "<p><strong>Celular</strong>: ".$clientdata['celular']."</p>";
$corpo .='<table>
  <tr>
    <th class="nome">Produto</th>
    <th class="qtd">Qtd</th>
    <th class="valor">Valor</th>
    <th class="excluir"></th>
  </tr>';
  

   $total=0; $itens=0; foreach ($_SESSION['ncart'] as $id => $qtd) {

  	$prod = retornaProd($id);
   
   $valor = $prod['valor']*$qtd; $total += $valor;
 $corpo .=' <tr class="animate">
    <td class="nome">'.$prod['nome'].'</td>
    <td class="qtd">'.$qtd.'</td>
    <td class="valor">'. "R$ ".number_format($valor,2,',','').'</td>
    
  </tr>';

$itens+=$qtd;
 
  }

    $corpo .='<tr class="animate">
    <td class="nome" colspan="2">Frete:'.$idnairro['bairro'].'</td>    
    <td class="valor">R$ '.number_format($idnairro['taxa'],2,',','').'</td>
    <td></td>    
  </tr>';


  $total += $idnairro['taxa'];

   $corpo .=' <tr class="dest">
    <td class="total">Total</td>
    <td class="qtd">'.$itens.'</td>
    <td class="valor">R$ '.number_format($total,2,',','').'</td> 
    <td class="excluir"></td>
  </tr>';
$corpo .='</table>';
  	$corpo .= "<p><strong>Forma de pagamento</strong>: $pagto</p>";
  	$corpo .= "<p><strong>Troco</strong>: $troco</p>";
$corpo .='<h2>Entrega</h2>';
	
  	$corpo .= "<p><strong>CEP</strong>: ".$clientdata['cep']."</p>";
  	
  	  	$corpo .= "<p><strong>Bairro</strong>: ".$idnairro['bairro']."</p>";

  	  	  	$corpo .= "<p><strong>Logradouro</strong>: ".$clientdata['logradouro']."</p>";
  	  	  	  	$corpo .= "<p><strong>Complemnto</strong>: ".$clientdata['complemento']."</p>";
  	  	  	  	  	$corpo .= "<p><strong>Referência</strong>: ".$clientdata['ponto_referencia']."</p>";
	

	$corpo .= "<p>Obrigado Pela Preferência.</p>";
	$corpo .= "<p>-</p>";
	$corpo .= "<p><strong>Equipe Tacho Restaurante</strong></p>";
	$corpo .= "<p>Não precisa responder este email.</p>";

	//$sendmail = true;
	//$sendmail = smtpmailer($corpo, $email, "Pedido $newid - Tacho Restaurante");
	//$sendmail = smtpmailer($corpo, $email, "Pedido $newid - Tacho Restaurante");

	//if(!$sendmail){

	    $headers  = "From: Tacho Restaurante<web@tachorestaurante.com.br>\r\n"; 
	    $headers .= "Reply-To: $email\r\n"; 
	    $headers .= 'MIME-Version: 1.0' . "\n"; 
	    $headers .= 'Content-type: text/html; charset=utf8' . "\r\n"; 

	    mail('web@tachorestaurante.com.br', "$newid - Pedido Tacho Restaurante", $corpo, $headers); 
	    $sendmail = smtpmailer($corpo, $email, "Pedido $newid - Tacho Restaurante");

	//}



  $_SESSION['ncart'] = array();
  header('location:'.sti("urlbase").'sucesso/'.$token_ped);

}


